#!/bin/bash
# non-interactive shell

([ -n "$SSH_CONNECTION" ] || [ -n "$SSH_CLIENT" ] || [ -n "$SSH_TTY" ]) && export SSH_SESSION=true
[[ $- == *i* ]] && export SHELL_INTERACTIVE=true
shopt -q login_shell && export SHELL_LOGIN=true 
[ $EUID -eq 0 ] && export USER_ROOT=true

#uncomment these for debugging.
# echo ---- sourcing system wide bash.bashrc ---
#  [[ $USER_ROOT ]] && echo 'Root User' || echo 'Non Root User'
#  [[ $SHELL_INTERACTIVE ]] && echo 'Interactive' || echo 'Not interactive'
#  [[ $SHELL_LOGIN ]] && echo 'Login shell' || echo 'Not login shell'
#  [[ $SSH_SESSION ]] && echo ssh remote user || echo local user
#  echo ---------------------

if ( [[ $SHELL_INTERACTIVE ]] );then
source /etc/profile
else
# Set the initial path
export PATH=/bin:/usr/bin:/usr/local/bin
# loading just the module functions which will give access to load any module in shell dirs
# _BASH_SHELL_BASE_ is/was replaced by the deploy script with actual path
source _BASH_SHELL_BASE_/module.base
fi